Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.egothor.stemmer
Class Reduce

    java.lang.Object
      org.egothor.stemmer.Reduce

Direct Known Subclasses:
  Gener, Lift, Optimizer

    public class Reduce

extends Object

The Reduce object is used to remove gaps in a Trie which stores a dictionary.

Constructor Summary
`Reduce()` Constructor for the Reduce object.

Method Summary
`Trie` | `optimize(Trie orig)` Optimize (remove holes in the rows) the given Trie and return the restructured Trie.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Reduce

    public Reduce()

  Constructor for the Reduce object.

Method Detail

### optimize

    public Trie optimize(Trie orig)

  Optimize (remove holes in the rows) the given Trie and return the restructured Trie.

  Parameters:
    `orig` - the Trie to optimize
  Returns:
    the restructured Trie

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.